#
# spec file for package perl-XML-XSLT
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-XML-XSLT
Version:        0.48
Release:        198.20
%define cpan_name XML-XSLT
Summary:        Perl module for processing XSLT
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/J/JS/JSTOWE/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
# MANUAL BEGIN
BuildRequires:  fdupes
# MANUAL END
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(XML::DOM) >= 1.25
BuildRequires:  perl(XML::Parser) >= 2.23
Requires:       perl(XML::DOM) >= 1.25
Requires:       perl(XML::Parser) >= 2.23
%{perl_requires}

%description
This module implements the W3C's XSLT specification. The goal is full
implementation of this spec, but we have not yet achieved that. However, it
already works well. See XML::XSLT Commands for the current status of each
command.

XML::XSLT makes use of XML::DOM and LWP::Simple, while XML::DOM uses
XML::Parser. Therefore XML::Parser, XML::DOM and LWP::Simple have to be
installed properly for XML::XSLT to run.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f ! -name \*.pl -print0 | xargs -0 chmod 644

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

# MANUAL BEGIN
%fdupes -s examples
# MANUAL END

%files -f %{name}.files
%defattr(-,root,root,755)
%doc ChangeLog examples README xslt-parser

%changelog
* Fri Oct  9 2020 Pedro Monreal <pmonreal@suse.com>
- Fix build and update spec file
- Add cpanspec file
- Add fdupes macro
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Feb 26 2004 mjancar@suse.cz
- update to 0.48
* Sat Jan 10 2004 adrian@suse.de
- build as user
* Fri Aug 22 2003 mjancar@suse.cz
- require the perl version we build with
* Mon Jul 21 2003 mjancar@suse.cz
- adapt to perl-5.8.1
- use %%perl_process_packlist
* Mon Jun 16 2003 mjancar@suse.cz
- don't package MANIFEST
* Mon May 19 2003 ro@suse.de
- remove perllocal.pod
* Mon Jul 29 2002 mls@suse.de
- Fixed neededforbuild for perl-5.8.0
* Tue Jul 23 2002 prehak@suse.cz
- update to version 0.40
- added perl-Test-Simple to neededforbuild
* Tue Jul  2 2002 mls@suse.de
- remove race in .packlist generation
* Tue Jun 25 2002 prehak@suse.de
- correct permissions of examples directories
* Fri Aug 17 2001 rvasice@suse.cz
- added perl-XML-RegExp and perl-HTML-Parser to neededforbuild
- spec file cleanup
* Thu Aug 16 2001 ro@suse.de
- added expat to neededforbuild
* Mon Apr  9 2001 cihlar@suse.cz
- initial version 0.32
